> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Batch Cards



## OpenAPI

````yaml openapi.json post /card/batch
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /card/batch:
    parameters: []
    post:
      tags:
        - Card
      summary: Create Batch Cards
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '250'
            ETag:
              schema:
                type: string
              example: W/"fa-xcyUrrgH+ZTTod1womnHO81CkP4"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 09 Jul 2025 10:55:22 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Create Batch Cards - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                      scheme:
                        type: string
                      walletIds:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                      validWalletIds:
                        type: array
                        items:
                          type: string
                      invalidWalletIds:
                        type: array
                        items:
                          type: object
                          properties:
                            walletId:
                              type: string
                            reason:
                              type: string
                      batchReference:
                        type: string
              example:
                status: true
                message: Batch successfully created
                data:
                  id: cfec027f-1805-4da6-a99b-3c86ee36298a
                  type: PHYSICAL
                  scheme: VERVE
                  walletIds:
                    - 341f8315-ff75-4ea0-8268-bd2a23141e6a
                    - 341f8315-ff75-4ea0-8268-bd2a23141e6b
                  status: PENDING
                  validWalletIds:
                    - 341f8315-ff75-4ea0-8268-bd2a23141e6a
                  invalidWalletIds:
                    - walletId: 341f8315-ff75-4ea0-8268-bd2a23141e6b
                      reason: Wallet not found
                  batchReference: WdfyZwAaO1gcHYDyAc4lYIawvMInR3PbwV8H
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````